@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package osc_snovis with version v1r0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build
REM # or :
REM #   DOS> call DOS\build.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_osc_snovis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_osc_snovis_path=%obuild_osc_snovis_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no

SET obuild_args=

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   build [Options]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -x : execute with ECHO ON"
  ECHO   -* : passed to packages build script.
  ECHO
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SET obuild_args=%obuild_args% -v
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-x" GOTO end_if_x
  ECHO ON
  SET obuild_args=%obuild_args% -x
  SHIFT
  GOTO next_arg
:end_if_x

SET obuild_args=%obuild_args% %1%
SHIFT
GOTO next_arg

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d

IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_osc_snovis_path%\obuild\cpp\obuild_find.cpp" 1> NUL
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  obuild v1r0`) DO SET obuild_obuild_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return

cd "%obuild_obuild_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build obuild/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  foreign v1r0`) DO SET obuild_foreign_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_foreign_path  ECHO Can't find foreign package.  && GOTO obuild_return

cd "%obuild_foreign_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build foreign/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p3`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

cd "%obuild_zlib_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build zlib/v1r114p3 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p6`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

cd "%obuild_expat_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build expat/v1r11p6 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r0p0`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

cd "%obuild_Slash_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Slash/v1r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

cd "%obuild_Lib_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Lib/v8r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r0`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return

cd "%obuild_HCL_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build HCL/v7r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r0p0`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return

cd "%obuild_Midnight_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Midnight/v4r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

cd "%obuild_Minuit_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Minuit/v1r140p4 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

cd "%obuild_Rio_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build Rio/v7r1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r165p2`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return

cd "%obuild_HDF5_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build HDF5/v1r165p2 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

cd "%obuild_BatchLab_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build BatchLab/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

cd "%obuild_UseAIDA_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build UseAIDA/v1r0p2 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r62p1`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return

cd "%obuild_jpeg_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build jpeg/v1r62p1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

cd "%obuild_dvi2bitmap_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build dvi2bitmap/v1r0132p1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r219p0`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return

cd "%obuild_freetype2_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build freetype2/v1r219p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

cd "%obuild_CoinGL_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinGL/v1r244p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinXt v1r122p0`) DO SET obuild_CoinXt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinXt_path  ECHO Can't find CoinXt package.  && GOTO obuild_return

cd "%obuild_CoinXt_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinXt/v1r122p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinWin v1r50p4`) DO SET obuild_CoinWin_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinWin_path  ECHO Can't find CoinWin package.  && GOTO obuild_return

cd "%obuild_CoinWin_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinWin/v1r50p4 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

cd "%obuild_CoinQt_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinQt/v1r130p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r0`) DO SET obuild_CoinPython_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return

cd "%obuild_CoinPython_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build CoinPython/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

cd "%obuild_HEPVis_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build HEPVis/v6r6p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return

cd "%obuild_KUIP_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build KUIP/v1r950303p16 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

cd "%obuild_OnX_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build OnX/v17r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

cd "%obuild_OnXLab_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build OnXLab/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

cd "%obuild_VisAIDA_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build VisAIDA/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OpenPAW v3r0`) DO SET obuild_OpenPAW_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OpenPAW_path  ECHO Can't find OpenPAW package.  && GOTO obuild_return

cd "%obuild_OpenPAW_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build OpenPAW/v3r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

cd "%obuild_G4Lab_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build G4Lab/v8r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

cd "%obuild_G4Simple_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build G4Simple/v2r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

cd "%obuild_G4Examples_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build G4Examples/v1r0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  bhep v1r4p2`) DO SET obuild_bhep_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return

cd "%obuild_bhep_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build bhep/v1r4p2 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return

cd "%obuild_snova_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build snova/v2r0p0 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

cd "%obuild_snovis_path%\obuild"
@IF %obuild_verbose% == yes @ECHO ON 
ECHO build snovis/v1r1 ...
CALL DOS\build %obuild_args%
@ECHO OFF
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
:obuild_return
ENDLOCAL
@ECHO ON
